summaryrefslogtreecommitdiffstats
path: root/source/l/libcap-ng
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-01-04 20:54:16 +0000
committer Eric Hameleers <alien@slackware.com>2024-01-04 22:41:03 +0100
commitc238904d3eff61ed21677642f58df725f918a199 (patch)
treec551bf7b388aa42caa848d53ab952479e5169d98 /source/l/libcap-ng
parente2f5262f1f9e279bfb0ace9caf913ac1021064f9 (diff)
downloadcurrent-c238904d3eff61ed21677642f58df725f918a199.tar.gz
current-c238904d3eff61ed21677642f58df725f918a199.tar.xz
Thu Jan 4 20:54:16 UTC 202420240104205416
a/dcron-4.5-x86_64-14.txz: Rebuilt. Add /etc/default/run-parts. Thanks to lostintime. kde/fcitx5-configtool-5.1.3-x86_64-1.txz: Upgraded. x/fcitx5-5.1.6-x86_64-1.txz: Upgraded. x/fcitx5-qt-5.1.4-x86_64-1.txz: Upgraded. x/pixman-0.43.0-x86_64-1.txz: Upgraded. x/xcb-imdkit-1.0.6-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/libcap-ng')
-rw-r--r--source/l/libcap-ng/30453b6553948cd05c438f9f509013e3bb84f25b.patch25
-rwxr-xr-xsource/l/libcap-ng/libcap-ng.SlackBuild5
2 files changed, 29 insertions, 1 deletions
diff --git a/source/l/libcap-ng/30453b6553948cd05c438f9f509013e3bb84f25b.patch b/source/l/libcap-ng/30453b6553948cd05c438f9f509013e3bb84f25b.patch
new file mode 100644
index 000000000..4cd8e9fc1
--- /dev/null
+++ b/source/l/libcap-ng/30453b6553948cd05c438f9f509013e3bb84f25b.patch
@@ -0,0 +1,25 @@
+commit 30453b6553948cd05c438f9f509013e3bb84f25b
+Author: Steve Grubb <ausearch.1@gmail.com>
+Date: Thu Jan 4 15:06:29 2024 -0500
+
+ Remove python global exception handler since its deprecated
+
+diff --git a/bindings/src/capng_swig.i b/bindings/src/capng_swig.i
+index fcdaf18..fa85e13 100644
+--- a/bindings/src/capng_swig.i
++++ b/bindings/src/capng_swig.i
+@@ -30,13 +30,6 @@
+
+ %varargs(16, signed capability = 0) capng_updatev;
+
+-%except(python) {
+- $action
+- if (result < 0) {
+- PyErr_SetFromErrno(PyExc_OSError);
+- return NULL;
+- }
+-}
+ #endif
+
+ %define __signed__
+
diff --git a/source/l/libcap-ng/libcap-ng.SlackBuild b/source/l/libcap-ng/libcap-ng.SlackBuild
index 79a6818d8..11c0ce096 100755
--- a/source/l/libcap-ng/libcap-ng.SlackBuild
+++ b/source/l/libcap-ng/libcap-ng.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2016, 2018, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -85,6 +85,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Patch for swig-4.2.0:
+cat $CWD/30453b6553948cd05c438f9f509013e3bb84f25b.patch | patch -p1 --verbose || exit 1
+
autoreconf -vif
# Configure: